This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029802 - [RFE] a utility showing link vm uuid file(s) to current vmname
[RFE] a utility showing link vm uuid file(s) to current vmname
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: nobody nobody
Raz Tamir
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 04:17 EST by Jiri Belka
Modified: 2016-12-06 18:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-06 18:31:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-11-13 04:17:30 EST
Description of problem:
What about to have symlinks on storage which would link real vm uuid file(s) to current vmname as it is visible in UI?

benefit? it some not usual situation one could be in a need to dig directly inside data storage domain, like to copy files or trying to restore specific VM from storage domain with engine-image-uploader...
Comment 1 Itamar Heim 2014-05-04 06:27:38 EDT
i think we don't want to maintain such redundant data to reduce potential for consistency issues in the storage, but a utility showing this could be nice (based on the OVFs maybe?)
Comment 2 Allon Mureinik 2014-05-04 09:25:31 EDT
(In reply to Itamar Heim from comment #1)
> i think we don't want to maintain such redundant data to reduce potential
> for consistency issues in the storage, but a utility showing this could be
> nice (based on the OVFs maybe?)
Agreed.
Comment 3 Jiri Belka 2014-05-05 03:15:48 EDT
If engine GUI would have some kind of storage file-browser (like VMWare vSphere vCenter has) it would be enough. Also fyi I filed a RFE to be able to upload isos/images via engine GUI, so a kind of file-browser inside engine GUI would be "needed" anyway.
Comment 6 Yaniv Lavi (Dary) 2016-12-04 10:29:37 EST
Seems like a odd request, are we planning to address it or should we close?
Comment 7 Allon Mureinik 2016-12-06 07:33:16 EST
(In reply to Yaniv Dary from comment #6)
> Seems like a odd request, are we planning to address it or should we close?
I'm fine with closing it.

Note You need to log in before you can comment on or make changes to this bug.